# No SOURCE spec-file
#import appimage https://gitlab.com/librewolf-community/browser/appimage/-/releases
#
%define mozillalibdir %{_libdir}/%{oname}
%define pluginsdir %{_libdir}/mozilla/plugins
%define oname librewolf

Summary:	A fork of Firefox, focused on privacy, security and freedom
Name:		librewolf-browser
Version:    124.0.1
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		https://librewolf.net/installation/linux/
Source3:	%{oname}.png
Source4:	%{oname}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
Requires:  lib64dbus-glib-1_2
AutoReqProv: no
Obsoletes: librewolf
Provides: librewolf = %{version}-%{release}

%description
LibreWolf is designed to minimize data collection and telemetry as much as possible.
This is achieved through hundreds of privacy/security/performance settings and patches.
Intrusive integrated addons including updater, crashreporter, and pocket are removed too.
LibreWolf is NOT associated with Mozilla or its products.

%prep


%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir %buildroot

#Here we go!
pushd %_sourcedir
wget https://gitlab.com/api/v4/projects/24386000/packages/generic/librewolf/%{version}-1/LibreWolf.x86_64.AppImage
chmod 0755 LibreWolf.x86_64.AppImage

./LibreWolf.x86_64.AppImage --appimage-extract

mkdir -p %{buildroot}%{mozillalibdir}
cp -r squashfs-root/* %{buildroot}%{mozillalibdir}

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}%{pluginsdir}

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{oname}.png

mkdir -p %{buildroot}%{_bindir}
ln -fs %{mozillalibdir}/librewolf %{buildroot}%{_bindir}/%{oname}

find %{buildroot}%{mozillalibdir} -type d -exec chmod 755 {} \; 

#clean
rm -f %{buildroot}%{mozillalibdir}/AppRun
rm -f %{buildroot}%{mozillalibdir}/librewolf.png
rm -f %{buildroot}%{mozillalibdir}/removed-files
rm -rf %{buildroot}%{mozillalibdir}/usr

popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/%{oname}
%{_datadir}/applications/librewolf.desktop
%{_datadir}/pixmaps/librewolf.png
%{_libdir}/%{oname}

%changelog
* Thu Mar 28 2024 tex - 124.0.1-1pclos2024
- new version

* Fri Mar 22 2024 tex - 123.0.1-1pclos2024
- new version

* Sat Mar 02 2024 hunter - 123.0-1pclos2024
- new version

* Fri Jan 26 2024 tex - 122.0-1pclos2024
- new build

* Thu Jan 04 2024 tex - 121.0-1pclos2024
- new version

* Tue Dec 05 2023 tex - 120.0.1-1pclos2023
- new version

* Wed Nov 29 2023 tex - 120.0-2pclos2023
- rebuild against updates

* Fri Nov 24 2023 tex - 120.0-1pclos2023
- new version

* Tue Nov 14 2023 tex - 119.0.1-1pclos2023
- new version

* Fri Nov 03 2023 tex - 119.0-2pclos2023
- update to 119.0-7

* Wed Nov 1 2023 hunter - 119.0.5-1pclos2023
- new version

* Tue Oct 24 2023 tex - 118.0.2-1pclos2023
- new version

* Sat Sep 30 2023 tex - 118.0.1-1pclos2023
- new version
